
#import <appkit/appkit.h>
#import "Thinker.h"

@interface MoveBlackView:View
{
    id 		image;
    id 		hostname;
    NXRect 	textFrame;
    NXRect 	imageFrame;
    char	*imageFile;
    double 	timeToMove;
    double 	timeToBlack;
    double	lastMove;
    long 	startTime;
    int 	blackened;
    id 		inspectorPanel;
    
    id		imageFileField;
    id		moveTimeSlider;
    id		moveTimeCell;
    id		blackTimeSlider;
    id		blackTimeCell;
}
- moveImage;
- moveText;

- drawSelf:(const NXRect *)rects :(int)rectCount;
- oneStep;
- initFrame:(NXRect *) frameRect;

- setImageFile:sender;
- (const char*)getImageFile;
- setTimeToMove:sender;
- (double)getTimeToMove;
- setTimeToBlack:sender;
- (double)getTimeToBlack;

- inspector:sender;

@end
